Subject: Micron
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 16 Aug 2001 09:56:35 -0700 (PDT)

Hey Jeff.   I had an interesting conversation this week with Jason Kreizenbeck from Micron about their frustration with Pacificorp, especially in Utah.   I recall that you had a different contact there, and I also seem to recall that they were a company that you and/or Karen had worked well with on the California crisis.  I'm thinking there may be some way to use them to help us on the RTO issues.  Could you give me a call with your thoughts on Micron?  Thanks.  #612-339-4599